/* eslint-disable no-undef */

/**
 * @return {string}
 */
//导入明细编辑
export default {
  onBeforeEdit:({isNew,getFieldValue,setFieldValueByBatch,data})=>{
    if(isNew) {
      if (data && data.parentRecord) {
         const fieldValues=[];
        if (data.parentRecord.IMPORT_CONFIG_ID) {
          fieldValues.push({field:'IMPORT_CONFIG_ID', value:data.parentRecord.IMPORT_CONFIG_ID});
          fieldValues.push({field:'PARENT_ID', value:data.parentRecord.ID});
        }
        else{
          fieldValues.push({field:'IMPORT_CONFIG_ID', value:data.parentRecord.ID});
        }
        setFieldValueByBatch(fieldValues);
      }

    }
  },
}
